from pyprolog import swipl

a = swipl.new_term()
c = swipl.new_term()
d = swipl.new_term()
e = swipl.new_term()
f = swipl.new_term()
g = swipl.new_term()

while 1:
	x = swipl.new_atom('abcedfghijklm')
	
## 	c.put_integer(42123)
	d.put_float(3.14)
## 	e.put_variable()
## 	f.put_atom(x)
## 	g.put_string("sdfsdf \tsfghfgh \nouoityo")
	
swipl.reset_term_refs(a)
